﻿.time-table {
  color: #888888;
  font-size: .8rem; }
  .time-table__row {
    display: flex;
    height: 3rem; }
    .time-table__row div {
      height: 100%; }
    .time-table__row--header {
      height: 3rem;
      line-height: 0rem; }
    .time-table__row a {
      text-decoration: none !important; }
  .time-table__cell {
    position: relative;
    text-align: center; }
    .time-table__cell:not(:last-of-type) {
      border-right: solid 1px #cccccc; }
    .time-table__cell--inner {
      border-top: solid 1px #cccccc; }
  .time-table__time-cell {
    position: relative; }
    .time-table__time-cell::before {
      content: '';
      position: absolute;
      right: 0;
      top: 0;
      width: 10%;
      height: 100%;
      border-top: solid 1px #cccccc; }
    .time-table__time-cell__content {
      line-height: 1rem;
      position: absolute;
      right: 1.4rem;
      top: -0.5rem; }
  .time-table__module {
    width: 100%;
    position: absolute;
    background-color: #b31e7e;
    border: 2px solid #fff;
    border-radius: 6px;
    text-align: center;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10;
    transition: .3s all; }
    .time-table__module:hover {
      box-shadow: 0px 1px 2px 2px rgba(179, 30, 126, 0.8); }

.module-summary .sc-subject-header {
  font-size: xxx-large !important;
  font-weight: 700 !important; }

.module-summary .shortcourse-label-1 {
  background-color: var(--code-color) !important;
  color: white;
  border-radius: 5px;
  font-size: large;
  font-weight: 600;
  padding: 0.75rem; }

.register-module {
  display: flex;
  flex-wrap: wrap; }
  .register-module > div {
    flex: 0 0 50%;
    max-width: 50%; }
  .register-module form {
    padding: 3rem;
    position: relative; }
  .register-module-form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%; }
  .register-module .font-weight-700 {
    font-weight: 700; }
  .register-module .font-weight-800 {
    font-weight: 800; }
  .register-module .light-bg {
    background-color: var(--light); }
  .register-module .btn-register-module {
    border-radius: 0;
    /*width: 35% !important;*/
    max-width: 15rem; }
  .register-module .buttons-row.top-buttons-row {
    margin-top: 0 !important; }
  .register-module .mode-of-study {
    padding-left: 0 !important; }
    .register-module .mode-of-study label {
      padding-left: 0 !important; }
    .register-module .mode-of-study .dropdon {
      width: 10rem !important; }
  .register-module .input-group-addon {
    display: none; }
  .register-module .disable {
    pointer-events: none;
    opacity: .8; }
  .register-module .grid td, .register-module .grid th {
    padding-inline: 1.6rem; }
  .register-module .grid tr {
    border: 1px solid #dfe1e5; }
  .register-module .grid tr.text {
    border-left: unset !important;
    border-right: unset !important; }
  .register-module .radio-list .form-check-inline {
    margin-block: 0; }
  .register-module .radio-list .form-check-label {
    text-align: left; }

@media (max-width: 1200px) {
  .register-module > div {
    flex: 0 0 100%;
    max-width: 100%; } }

@media (max-width: 500px) {
  .register-module form {
    padding: 0; }
  .register-module .filter-option-inner-inner {
    max-width: 150px; } }

@media (max-width: 350px) {
  .register-module .filter-option-inner-inner {
    max-width: 70px; } }

.lsi-modal {
  background-color: rgba(0, 0, 0, 0.5); }
  .lsi-modal .modal-dialog {
    max-width: 600px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -70%) !important; }

.AGS_Register_Service .cke_inner .cke_contents {
  height: 300px !important; }

.AGS_Register_Service .d-grid {
  display: grid !important; }

.AGS_Register_Service .mw-200 {
  max-width: 200px !important; }

.AGS_Register_Service .mw-150 {
  max-width: 150px !important; }

.AGS_Register_Service .h-200 {
  height: 200px; }

.AGS_Register_Service .mh-200 {
  max-height: 200px; }

.AGS_Register_Service .w-300 {
  width: 300px !important; }

.AGS_Register_Service .bg-none {
  background: none !important; }

.AGS_Register_Service .mb-5rem {
  margin-bottom: 5rem !important; }

.AGS_Register_Service .modal-content {
  overflow: visible !important; }

.AGS_Register_Service .border-bottom-3px {
  border-bottom-style: solid !important;
  border-bottom-width: 1px !important; }

.AGS_Register_Service .cursor-pointer {
  cursor: pointer; }

@media only screen and (max-width: 900px) {
  .AGS_Register_Service .mobile-style {
    font-size: 10px !important; }
    .AGS_Register_Service .mobile-style td {
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
      max-width: 10vw; } }

@media only screen and (max-width: 600px) {
  .AGS_Register_Service .mobile-style {
    font-size: 8px !important; }
    .AGS_Register_Service .mobile-style td {
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
      max-width: 10vw; } }

@media screen {
  .cert {
    max-width: 1300px;
    margin: auto; } }

.cert .certificate {
  padding: 20px;
  background-color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column; }
  .cert .certificate-container {
    width: 100%; }
    .cert .certificate-container .single-line {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: clip;
      font-size: clamp(12px, 5vw, 36px); }
    .cert .certificate-container-content {
      width: 100%;
      height: 100%;
      border: 12px solid #932f93;
      position: relative; }
      .cert .certificate-container-content__logo {
        padding: 0 25px 20px 0;
        position: absolute;
        background-color: white;
        top: -12px;
        left: -12px; }
        .cert .certificate-container-content__logo img {
          width: 260px; }
      .cert .certificate-container-content__body {
        margin: 5rem 6rem 2.5rem; }
        .cert .certificate-container-content__body-logo {
          float: right; }
        .cert .certificate-container-content__body-header {
          font-size: 55px;
          text-transform: uppercase; }
        .cert .certificate-container-content__body-text {
          font-size: 30px;
          margin-top: 1.5rem; }
        .cert .certificate-container-content__body-course {
          font-weight: 900;
          font-size: 80px;
          text-transform: uppercase;
          color: #932f93; }
        .cert .certificate-container-content__body-student {
          font-weight: 400;
          font-size: 60px;
          vertical-align: middle; }
        .cert .certificate-container-content__body-date {
          font-size: 30px;
          border-top: 1px solid #da9fcc; }
        .cert .certificate-container-content__body-footer {
          margin: 1rem 6rem 0.7rem;
          display: flex;
          justify-content: space-between; }
          .cert .certificate-container-content__body-footer-sign {
            text-align: center; }
            .cert .certificate-container-content__body-footer-sign img {
              height: 104px; }
            .cert .certificate-container-content__body-footer-sign-name {
              font-weight: 900;
              font-size: 20px; }
            .cert .certificate-container-content__body-footer-sign-role {
              font-weight: 400;
              font-size: 20px; }
          .cert .certificate-container-content__body-footer-qr {
            width: 443px;
            height: 152px;
            gap: 10px;
            display: flex;
            align-items: center; }
            .cert .certificate-container-content__body-footer-qr-text {
              font-family: Inter;
              font-weight: 300;
              font-size: 25px;
              line-height: 100%;
              width: 281px; }
            .cert .certificate-container-content__body-footer-qr img {
              height: 100%; }
    .cert .certificate-container-footer {
      font-size: 12pt;
      display: flex;
      width: 100%;
      justify-content: space-between;
      margin-top: 10px; }

.AGS_Register_Service .progress-bar {
  background-color: #ebe6eb;
  width: 65px;
  height: 20px;
  border-radius: 5px; }
  .AGS_Register_Service .progress-bar.progress-bar-x2 {
    width: 140px; }
  .AGS_Register_Service .progress-bar.progress-bar-border {
    border: 1px solid #932f93; }
  .AGS_Register_Service .progress-bar-passed {
    height: 100%;
    background-color: #932f93; }

@media print {
  .AGS_Register_Service .no-print {
    display: none; } }

.AGS_Register_Service form[data-module="ShortCourses_PaymentMethod_Form"] .form-body h3 {
  color: unset; }

/*# sourceMappingURL=data:application/json;base64,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 */